#!/bin/sh

echo "Running registrar" >&2
replace=""
if test "$REGISTRAR_REPLACE" = true; then
    replace="--replace"
fi

registrar daemon \
    --config-file /config.yaml \
    --host ${REDIS_HOST} \
    --port ${REDIS_PORT} \
    --listen-queue ${REDIS_REGISTER_QUEUE_KEY} \
    --registered-set-key ${REDIS_REGISTERED_SET_KEY} \
    ${replace} >&2
